amap_map_fluttify 0.5.0+d62f0ad
amap_map_fluttify: ^0.5.0+d62f0ad copied to clipboard

An `Amap` map component, based on `fluttify` engine.

example/lib/main.dart

import 'package:amap_map_fluttify/amap_map_fluttify.dart';
import 'package:flutter/material.dart';
import 'package:oktoast/oktoast.dart';

import 'map/map.screen.dart';

void main() async {
  AmapService.init('7a04506d15fdb7585707f7091d715ef4');

  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return OKToast(
      child: MaterialApp(
        home: Scaffold(
          appBar: AppBar(title: const Text('AMaps examples')),
          backgroundColor: Colors.grey.shade200,
          body: MapDemo(),
        ),
      ),
    );
  }
}
23
likes
65
pub points
84%
popularity

Publisher

fluttify.com

An `Amap` map component, based on `fluttify` engine.

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache 2.0 (LICENSE)

Dependencies

amap_core_fluttify, flutter, foundation_fluttify

More

Packages that depend on amap_map_fluttify